Page MenuHomePhabricator

Multi word articles use spaces instead of underscores in link card inks
Closed, ResolvedPublic

Description

  1. Go to for example https://dev.translatewiki.net/w/i.php?title=Special:ContentTranslation&page=Torch+(machine+learning)&from=en&to=fi&targettitle=Torch+(machine+learning)
  2. Click for example machine learning
  3. Click the show the English (source) link card
  4. Copy the link address

Observed: https://en.wikipedia.org/wiki/Machine%20learning
Expected: https://en.wikipedia.org/wiki/Machine_learning

I am not sure if spaces in the href are even allowed in the spec, in any case this introduces unnecessary redirects.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2016, 7:39 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 13 2016, 6:32 AM
divadsn added a subscriber: divadsn.Jan 9 2017, 4:00 PM
divadsn claimed this task.Jan 10 2017, 6:54 PM

Should be a easy fix I think.

Change 332124 had a related patch set uploaded (by Divadsn):
Replace spaces with underscores in multi word articles links

https://gerrit.wikimedia.org/r/332124

Change 332124 merged by jenkins-bot:
Replace spaces with underscores in multi word articles links

https://gerrit.wikimedia.org/r/332124

divadsn closed this task as Resolved.Feb 3 2017, 5:36 PM